## org.eclipse.jetty.policy.entry
Class PermissionEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.PermissionEntry

    public class PermissionEntry

extends AbstractEntry

Constructor Summary
`PermissionEntry()`

Method Summary
`void` `expand(PolicyContext context)`
`String` `getActions()`
`String` `getKlass()`
`String` `getName()`
`String` `getSigners()`
`void` `setActions(String actions)`
`void` `setKlass(String klass)`
`void` `setName(String name)`
`void` `setSigners(String signers)`
`Permission` `toPermission()`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermissionEntry

    public PermissionEntry()

Method Detail

### toPermission

    public Permission toPermission()
                            throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getKlass

    public String getKlass()

### setKlass

    public void setKlass(String klass)

### getName

    public String getName()

### setName

    public void setName(String name)

### getActions

    public String getActions()

### setActions

    public void setActions(String actions)

### getSigners

    public String getSigners()

### setSigners

    public void setSigners(String signers)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.